Bug 1445070 - katello models not working with foreman-hooks plugin
Summary: katello models not working with foreman-hooks plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Released
Assignee: Tom McKay
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 20:57 UTC by Tom McKay
Modified: 2019-10-07 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:30 UTC
Foreman Issue Tracker 19367 None None None 2017-04-24 20:57:28 UTC

Description Tom McKay 2017-04-24 20:57:26 UTC
The foreman-hooks plugin is looking for rabl files in katello/app/views. For example, a hook for Katello::Pool expects a rabl of katello/app/views/katello/pools/show.

Perhaps add the api/v2 rabl to the paths in engine.rb (line 144) but this would require mapping models to resource names (pool to subscription)

Comment 1 Tom McKay 2017-04-24 20:57:30 UTC
Created from redmine issue http://projects.theforeman.org/issues/19367

Comment 4 pm-sat@redhat.com 2017-04-26 20:12:46 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 5 pm-sat@redhat.com 2018-08-02 15:51:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/19367 has been resolved.

Comment 8 Peter Ondrejka 2019-01-09 12:11:22 UTC
Verified on Satellite 6.5 snap 10 using Katello::ContentView#after_create, hooks for Katello objects are executed as expected

Comment 11 errata-xmlrpc 2019-05-14 12:36:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.